Package wx :: Package lib :: Module shell :: Class PyShell

[frames | no frames]

## Type PyShell

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            PyShell

interactive Python shell with wxPython interface

Method Summary
| ``__init__`(self, parent, globals, locals, id, pos, size, style, name)` create PyShell window
| `OnSetFocus(self, event)`
| `OnSize(self, event)`
| ``ShowException`(self)` display the traceback for the latest exception
| ``ShowSyntaxError`(self)` display message about syntax error (no traceback here)
| ``TryExec`(self, source, symbol)` Compile and run some source in the interpreter.

Property Summary

Instance Method Details

### __init__(self, parent, globals={'PyShellOutput': <class 'wx.lib.shell.PyShellOutput'>, '..., locals={}, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=524288, name='shell')
(Constructor)

create PyShell window

  Overrides:
    `wx.Panel.__init__`

### ShowException(self)

display the traceback for the latest exception

### ShowSyntaxError(self)

display message about syntax error (no traceback here)

### TryExec(self, source, symbol='single')

Compile and run some source in the interpreter.

borrowed from code.InteractiveInterpreter().runsource() as i said above, i would rather like to inherit from that class

returns 1 if more input is required, or 0, otherwise

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:18 2007 | http://epydoc.sf.net